module Asserter
  module Model
    # Valid an action against an
    # ActiveRecord object permissions.
    #
    # ==== Parameters
    # * <tt>action</tt> - Action to validate.
    #
    # ==== Returns
    # * <tt>Boolean</tt> - True if granted, false otherwise.
    def permit?(action)
      permissions.map { |p| Permission.new(p) }.any? { |p| p.permit?(action) }
    end
  end
end
